# AUTOGENERATED! DO NOT EDIT! File to edit: ../notebooks/io.ipynb.

# %% auto 0
__all__ = ["load_json", "save_json", "load_pickle", "save_pickle"]

# %% ../notebooks/io.ipynb 2
import json
import pickle
from pathlib import Path


# %% ../notebooks/io.ipynb 3
def load_txt(f):
    with open(f) as f:
        return f.read()


def save_txt(s, f):
    with open(f, "w") as f:
        f.write(s)


def load_json(f):
    with open(f) as f:
        return json.load(f)


def save_json(obj, f, pretty: bool = False, append: bool = False):
    if append is True and Path(f).exists():
        data = load_json(f)
        if isinstance(data, list):
            data.append(obj)
            obj = data
        else:
            obj = [data, obj]
    with open(f, "w") as f:
        json.dump(obj, f, indent=4 if pretty is True else None)


# %% ../notebooks/io.ipynb 4
def load_pickle(f):
    with open(f, "rb") as f:
        return pickle.load(f)


def save_pickle(obj, f):
    with open(f, "wb") as f:
        pickle.dump(obj, f)
